Favicon

You are here: Home > API Reference > UEM > Mdm Push Notifications > Send push notification

Send push notification

Send push notification

POST
/v1/organizations/:organizationId/mdm/push-notifications/send
Copy to clipboard

Send push notification

Send push notification

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
Body Params application/json
os string required
ios android macos windows package
identifier string required
Match pattern: ^[a-fA-F0-9]{24}$
app string required
mdmAgent setupAssistant remoteSupport kioskLauncher
type string required
notification silent
notification object required
title string optional
≤ 256 characters
body string required
≤ 256 characters
data object optional
{
    "os": "ios",
    "identifier": "string",
    "app": "mdmAgent",
    "type": "notification",
    "notification": {
        "title": "string",
        "body": "string",
        "data": {}
    }
}

Responses

{
  "type": "object",
  "properties": {}
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}